# Generated by Django 4.2.7 on 2023-11-18 20:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Identifiers',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('C_RNTI', models.CharField(blank=True, max_length=255, null=True)),
                ('GNB_DU_UE_F1AP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('GNB_CU_UE_F1AP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('GNB_CU_CP_UE_E1AP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('GNB_CU_UP_UE_E1AP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('RAN_UE_NGAP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('AMF_UE_NGAP_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('XNAP_SRC_RAN_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('XNAP_TRGT_RAN_ID', models.CharField(blank=True, max_length=255, null=True)),
                ('pci', models.CharField(max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='UploadedFile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(max_length=255, null=True)),
                ('upload_date', models.DateTimeField(auto_now_add=True)),
                ('proces_date', models.DateTimeField(null=True)),
                ('processed', models.BooleanField(default=False)),
                ('complete_at', models.DateTimeField(null=True)),
                ('completed', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Stats',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(max_length=50)),
                ('attempts', models.IntegerField(default=0)),
                ('success', models.IntegerField(default=0)),
                ('fails', models.IntegerField(default=0)),
                ('timeouts', models.IntegerField(default=0)),
                ('uploadedFiles', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('FrameNumber', models.IntegerField()),
                ('FrameTime', models.DateTimeField(null=True)),
                ('IpSrc', models.CharField(max_length=255, null=True)),
                ('IpDst', models.CharField(max_length=255, null=True)),
                ('Protocol', models.CharField(max_length=255, null=True)),
                ('F1_Proc', models.CharField(max_length=255, null=True)),
                ('E1_Proc', models.CharField(max_length=255, null=True)),
                ('NG_Proc', models.CharField(max_length=255, null=True)),
                ('C1_RRC', models.CharField(max_length=255, null=True)),
                ('C2_RRC', models.CharField(max_length=255, null=True)),
                ('MM_Message_Type', models.CharField(max_length=255, null=True)),
                ('SM_Message_Type', models.CharField(max_length=255, null=True)),
                ('Message', models.TextField(null=True)),
                ('srcNode', models.CharField(max_length=255, null=True)),
                ('dstNode', models.CharField(max_length=255, null=True)),
                ('message_json', models.JSONField(null=True)),
                ('identifiers', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='drawranflow.identifiers')),
            ],
        ),
        migrations.CreateModel(
            name='IdentifiersStats',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category', models.CharField(max_length=50)),
                ('attempts', models.IntegerField(default=0)),
                ('success', models.IntegerField(default=0)),
                ('fails', models.IntegerField(default=0)),
                ('timeouts', models.IntegerField(default=0)),
                ('identifier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.identifiers')),
                ('uploadedFiles', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile')),
            ],
        ),
        migrations.AddField(
            model_name='identifiers',
            name='uploadedFiles',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drawranflow.uploadedfile'),
        ),
    ]
